#include <stdio.h>
#include <sys/ioctl.h>
#include <sys/file.h>
#include <sys/types.h>
#include <fcntl.h>
#include <string.h>
#include <stdlib.h>
#include "speaker.h"

main(int argc, char *argv[]) {

    int cdfile;
    tone_t mytone[4];

    if ( (cdfile=open("/dev/speaker",O_WRONLY)) == -1 ) {
        fprintf(stderr, "%s: can't open speaker\n", argv[0]);
        exit(1);
    }

    mytone[0].frequency = 500;
    mytone[0].duration = 8;
    mytone[1].frequency = 600;
    mytone[1].duration = 13;
    mytone[2].frequency = 500;
    mytone[2].duration = 10;
    mytone[3].frequency = 0;
    mytone[3].duration = 0;

    if ( ioctl(cdfile, SPKRTUNE, &mytone) == -1 ) {
        fprintf(stderr, "%s: ioctl spkrtune\n", argv[0]);
        exit(1);
    }

    close(cdfile);

}
